package com.emato.eoss.msg.resp;

/**
 * 回执状态码
 *
 * @author Scott Chen
 * @date 2017/3/9
 */
public enum ResponseStatus {

    // 全局消息码
    SUCCESS("0", "成功"),
    ERROR("-1", "错误"),
    FAILURE("-2", "失败"),
    SYS_INNER_EXCEPTION("-3", "系统内部异常"),

    NULL("-4", "为空"),
    TIMESTAMP_EXPIRES("-5", "时间戳已过期"),
    OVER_LENGTH("-6", "超出长度范围"),
    HAVE_EXISTED("-20", "已经存在"),

    // HTTP状态码 按HttpStatus 定义执行

    // 会话消息码
    TOKEN_ILLEGAL("100010", "非法请求"),
    SESSION_EXPIRE("100020", "会话过期"),
    UNKNOWN_SESSION("100021", "未知会话"),
    INVALID_SESSION("100022", "无效会话"),
    AUTHORIZATION_EXCEPTION("100023", "授权异常"),
    AUTHORIZATION_NOT_DATA("100024", "授权信息缺失");

    public final String code;
    public final String msg;

    ResponseStatus(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

}
