package com.emato.eoss.msg.resp;

/**
 * 自定义异常
 *
 * @author Scott Chen
 * @date 2017/3/22
 */
public class ResultException extends RuntimeException {

    private static final long serialVersionUID = -1422580005904561463L;

    private String code;
    private String message;

    public ResultException() {
        super();
    }

    public ResultException(String message) {
        super(message);
        this.message = message;
    }

    public ResultException(String code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

    public ResultException(String code, String message, Throwable cause) {
        super(message, cause);
        this.code = code;
        this.message = message;
    }

    public ResultException(String message, Throwable cause) {
        super(message, cause);
        this.message = message;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
