package com.emato.eoss.msg.service;

/**
 * @author Scott Chen
 * @version 1.0
 * 2017-09-20 12:38
 */
public enum MessageStatus {

    // 全局消息码
    SUCCESS("0", "成功"),
    ERROR("-1", "错误"),
    FAILURE("-2", "失败"),
    SYS_INNER_EXCEPTION("-3", "系统内部异常"),

    NULL("-4", "为空"),
    TIMESTAMP_EXPIRES("-5", "时间戳已过期"),
    OVER_LENGTH("-6", "超出长度范围"),
    HAVE_EXISTED("-20", "已经存在"),

    // 登录
    UPDATE_LOGIN_IP_FAILED("200010","更新登录IP失败"),
    // 认证信息
    UPDATE_AUTC_IDEN_FAILED("200011","更新认证信息失败");


    public final String innerCode;
    public final String innerMsg;

    MessageStatus(String innerCode, String innerMsg) {
        this.innerCode = innerCode;
        this.innerMsg = innerMsg;
    }

}
