package com.emato.eoss.util.sign;

import java.time.Duration;
import java.time.Instant;
import java.util.Map;

/**
 * @author Scott Chen
 * @since 1.0
 * 2018-12-28
 */
public class Test {


    public static void main(String[] args) throws Exception {

        System.out.println("//-------------- DSA begin ----------");
        Instant timeBeg = Instant.now();
        System.out.println("now beg: " + timeBeg);

        System.out.println();
        String msg = "Hello World";
        Map<String, Object> map = Dsa.initKey();


        String privateKeyStr = Dsa.getPrivateKeyStr(map);
        System.out.println("生成私钥:" + privateKeyStr);

        String signStr = Dsa.sign(msg, privateKeyStr, "UTF-8");
        System.out.println("签名值为:" + signStr);


        String publicKeyStr = Dsa.getPublicKeyStr(map);
        System.out.println("生成公钥:" + publicKeyStr);
        boolean bl = Dsa.verify(msg, signStr, publicKeyStr, "UTF-8");

        String result = bl ? "数字签名匹配" : "数字签名不匹配";
        System.out.println("数字签名:" + signStr);
        System.out.println("验证结果:" + result);

        Instant timeEnd = Instant.now();
        System.out.println("now beg: " + timeEnd);

        Long btw = Duration.between(timeBeg, timeEnd).toMillis();
        System.out.println("Duration is: " + btw);

        System.out.println("//-------------- DSA end ----------");



        System.out.println("//-------------- RSA begin ----------");
        Instant timeBeg2 = Instant.now();
        System.out.println("now beg: " + timeBeg2);

        System.out.println();
        String msg2 = "Hello World";
        Map<String, Object> map2 = Rsa.initKey();


        String privateKeyStr2 = Rsa.getPrivateKeyStr(map2);
        System.out.println("生成私钥:" + privateKeyStr2);

        String signStr2 = Rsa.sign(msg2, privateKeyStr2, "UTF-8");
        System.out.println("签名值为:" + signStr2);


        String publicKeyStr2 = Rsa.getPublicKeyStr(map2);
        System.out.println("生成公钥:" + publicKeyStr2);
        boolean bl2 = Rsa.verify(msg2, signStr2, publicKeyStr2, "UTF-8");

        String result2 = bl2 ? "数字签名匹配" : "数字签名不匹配";
        System.out.println("数字签名:" + signStr2);
        System.out.println("验证结果:" + result2);

        Instant timeEnd2 = Instant.now();
        System.out.println("now beg: " + timeEnd2);

        Long btw2 = Duration.between(timeBeg2, timeEnd2).toMillis();
        System.out.println("Duration is: " + btw2);

        System.out.println("//-------------- RSA end ----------");

    }

}
